Skip to content

List Conversations

GET
/api/v1/projects/{project_id}/conversations
curl --request GET \
--url 'https://aura.strangeworks.com/api/v1/projects/example/conversations?limit=50&offset=0' \
--header 'Authorization: Bearer <token>'
project_id
required
Project Id
string
limit
Limit

Maximum rows to return.

integer
default: 50 >= 1 <= 200

Maximum rows to return.

offset
Offset

Rows to skip before the returned page.

integer
0

Rows to skip before the returned page.

Successful Response

Media typeapplication/json
ConversationListResponse
object
conversations
required
Conversations
Array<object>
ConversationResponse
object
created_at
required
Created At
string format: date-time
id
required
Id
string
is_active
required
Is Active
boolean
message_count
Message Count
integer
0
preview
Any of:
string
project_id
required
Project Id
string
title
required
Any of:
string
updated_at
required
Updated At
string format: date-time
limit
required
Limit
integer
offset
required
Offset
integer
total
required
Total
integer
Example
{
"conversations": [
{
"message_count": 0
}
]
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}